//모터 핀 번호
#define M1A  5
#define M1B  3
#define M2A  10
#define M2B  9
//적외선센서 핀번호
#define L_Sensor 11
#define R_Sensor 12



void setup() {
  Serial.begin(9600);
  //모터 세팅
  pinMode(M1A, OUTPUT);
  pinMode(M1B, OUTPUT);
  pinMode(M2A, OUTPUT);
  pinMode(M2B, OUTPUT);
  //적외선센서 세팅
  pinMode(L_Sensor, INPUT);
  pinMode(R_Sensor, INPUT);
}

void loop() {
 int LS = digitalRead(L_Sensor); //센서값을 읽어 변수에 넣음
 int RS = digitalRead(R_Sensor);
  
  //Serial.println(LS);
  //Serial.println(RS);


 if(LS == 0 && RS == 0) //양쪽 센서에 모두 안닿을 때
 {
 Foward(200); //속도 200
 delay(100);
 }
 else if(LS == 1 && RS == 0) // 왼쪽 센서에 검은선이 닿을 때
 {
  Left(255); //속도 255
   delay(100);
 }

 else if(LS == 0 && RS == 1) // 오른쪽 센서에 검은선이 닿을 때
{
  Right(255); //속도 255
   delay(100);
}

 else // 양쪽 센서 모두 닿을 때
Stop();

}

void Foward(int spd) {
  analogWrite(M1A, spd);
  analogWrite(M1B, 0);
  analogWrite(M2A, spd);
  analogWrite(M2B, 0);
//전진
  }
void Stop() {
  analogWrite(M1A, 0);
  analogWrite(M1B, 0);
  analogWrite(M2A, 0);
  analogWrite(M2B, 0);
//멈춤
}
void Left(int spd) {
  analogWrite(M1A, spd);
  analogWrite(M1B, 0);
  analogWrite(M2A, 0);
  analogWrite(M2B, spd/2);
//좌로 회전
}

void Right(int spd) {
  analogWrite(M1A, 0);
  analogWrite(M1B, spd/2);
  analogWrite(M2A, spd);
  analogWrite(M2B, 0);
//우로 회전
}

